import { FinancialIndicator } from "./FinancialIndicator";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type, IList$1 } from "igniteui-react-core";
import { DependencyProperty } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { FinancialCalculationDataSource } from "./FinancialCalculationDataSource";
/**
 * @hidden
 */
export declare abstract class StrategyBasedIndicator extends FinancialIndicator {
    static $t: Type;
    constructor();
    protected ab0(): void;
    protected abl: IndicatorCalculationStrategy;
    protected abstract get abm(): IndicatorCalculationStrategy;
    protected abstract get abz(): Type;
    static abp: List$1<string>;
    protected abs(): number;
    ab1(a: number): void;
    protected abu(): number;
    protected abr(): number;
    static ab5(a: number, b: Type, c: string): DependencyProperty;
    protected static ab4(a: number, b: Type): DependencyProperty;
    protected static ab2(a: number, b: Type): DependencyProperty;
    protected static ab6(a: number, b: Type): DependencyProperty;
    protected aay(a: number, b: number): IList$1<string>;
    protected aav(a: number, b: number): boolean;
    protected abo(a: FinancialCalculationDataSource): boolean;
    private abn;
    protected abt(a: number): number;
    protected xa(a: number, b: number): FinancialCalculationDataSource;
    protected abq(): number;
    protected static ab3(a: number, b: Type): DependencyProperty;
    protected q4(a: any, b: string, c: any, d: any): void;
}
